Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

9. MPEG, QuickTime, AVI, and DVDs

MPEG (the format used on DVDs) represents itself as an open standard, but most Linux distributions won't ship software that read it because of blocking patents held by MPEGLA. AVI and Apple QuickTime have proprietary codecs covered by patents, so most Linux distributions won't ship software that decodes them, either.

FC5 ships the GNOME project's official video player, totem. Unfortunately, it won't play DVDs. The symptom is an error popup that says "Totem was not able to play this disc. No reason", but the problem is actually a known bug in gstreamer-0.10.

Unfortunately, the alternate front end xine is even more broken. It can be installed this way:


yum install xine xine-lib libdvdcss

Doing this will also install a number of support libraries, including the libdvdcss plugin that the xine people won't talk about on their site because they are too frightened of the DVDCCA's attack lawyers.

The 0.99.4 xine release displays an all-white window and does nothing (at least on my plain-vanilla Opteron machine using a nVidia GeForce2).